package com.tanya.careerguidanceproject.activities

import android.content.Intent
import androidx.appcompat.app.AppCompatActivity
import android.os.Bundle
import android.widget.Button
import android.widget.Toast
import com.tanya.careerguidanceproject.R

class HomeActivity : AppCompatActivity() {

    private lateinit var btnCollegeBeginners : Button
    private lateinit var btnGraduatingStudents : Button

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_home)

        btnCollegeBeginners = findViewById(R.id.btnCollegeBeginners)
        btnGraduatingStudents = findViewById(R.id.btnGraduatingStudents)

        btnCollegeBeginners.setOnClickListener {

                Toast.makeText(
                    this@HomeActivity,
                    "College beginners button clicked",
                    Toast.LENGTH_LONG
                ).show()

                val intent = Intent(this@HomeActivity, CollegeBeginnersActivity::class.java)
                startActivity(intent)

        }

        btnGraduatingStudents.setOnClickListener {

            Toast.makeText(this@HomeActivity,
                "Graduating students button clicked",
                Toast.LENGTH_LONG
            ).show()

            val intent = Intent(this@HomeActivity, GraduatingStudentsActivity::class.java)
            startActivity(intent)
        }
    }
}